Subject: Re: git-mv is not able to handle directory with one file in it

From: Alexander Litvinov <[email-masked]>
Date: Wed, 23 Nov 2005 13:26:27 +0600

I have found one error during directory movig: If I move directory with one 
file somewhere in it this script will try to add target directory instead of 
file. Commenting lines starting from 190 solve this error. But I don't 
understand what is the logic behind this case ? Why do target directory 
checked instead of target file ? Should we replace $dst my $destfiles[0] ?

at line 190 in git-mv:
    if (scalar @srcfiles == 1) {
	if ($overwritten{$dst} ==1) {
	    push @changedfiles, $dst;
	} else {
	    push @addedfiles, $dst;
	}
    }
    else {
	push @addedfiles, @dstfiles;
    }